BITE-REDMINE-GET(1)

NAME
bite-redmine-get - get issues

SYNOPSIS

bite redmine <get|g> [<options>] <ids>
    Fetch and output issues.

bite redmine <get|g> [-h|--help]
    Output help information.

DESCRIPTION

Get issues.

GLOBAL OPTIONS

-v, --verbose
    Increase logging verbosity.

    Verbosity levels in increasing order are error, warning, info, debug, and trace. The default level is warning causing errors and warnings to be shown. Each -v/--verbose option specified increases the level up to the maximum so bite -vv ... runs the given subcommand at the debug level.

        Warning

        Running at the trace level leaks authentication data as it outputs raw response structures including URLs which often include injected login parameters for authenticated sessions.

-q, --quiet
    Decrease logging verbosity.

-h, --help
    Print help output and exit.

GET OPTIONS

-C, --no-comments
    Disable comments.

-b, --browser
    Open in a browser.

    This uses $BROWSER to open URLs, falling back to xdg-open if undefined.

ARGUMENTS

<ids>
    IDs of issues to fetch.

    Taken from standard input when -.

EXAMPLES

Get issue 123:

    bite redmine get 123

Get issue 123 and only output field values:

    bite redmine get 123 -C

Get all open issues created in the last day:

    bite redmine search -c 1d -f id | bite redmine get -

SEE ALSO

bite-redmine(1)